<?php
$classes = array(
	'view-single-post',
);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
	<?php if(has_post_thumbnail()): ?>
	<div class="post-thumb"><?php the_post_thumbnail('full'); ?></div>
	<?php endif; ?>
	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">',
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<footer class="entry-footer">
		<?php
			$tags_list = get_the_tag_list( '', '' );
			if ( $tags_list ) {
				echo '<div class="tags-links">'. $tags_list .'</div>';
			}
		?>
		<a class="post-start" href="#main-content"><?php _e( 'Back to top', 'amber' ); ?></a>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
