<?php
$output = $color = $icon = $size = $target = $href = $title = $call_text = $position = $el_class = $stm_cta_btn_border_color = $stm_cta_style = $stm_cta_text_color = $stm_cta_text_size = $stm_cta_button_size = $stm_cta_button_lh = $stm_cta_btn_text_color = '';
extract( shortcode_atts( array(
	'color' => 'wpb_button',
	'icon' => 'none',
	'size' => '',
	'target' => '',
	'href' => '',
	'title' => __( 'Text on the button', "js_composer" ),
	'call_text' => '',
	'position' => 'cta_align_right',
	'el_class' => '',
	'css_animation' => '',
	'stm_cta_style' => '',
	'stm_cta_text_color' => '',
	'stm_cta_text_size' => '',
	'stm_cta_button_size' => '',
	'stm_cta_button_lh' => '',
	'stm_cta_btn_border_color' => '',
	'stm_cta_btn_text_color' => '',
), $atts ) );

$el_class = $this->getExtraClass( $el_class );

if ( $target == 'same' || $target == '_self' ) {
	$target = '';
}
if ( $target != '' ) {
	$target = ' target="' . $target . '"';
}

$icon = ( $icon != '' && $icon != 'none' ) ? ' ' . $icon : '';
$i_icon = ( $icon != '' ) ? ' <i class="icon"> </i>' : '';

$color = ( $color != '' ) ? ' wpb_' . $color : '';
$size = ( $size != '' && $size != 'wpb_regularsize' ) ? ' wpb_' . $size : ' ' . $size;

$a_class = '';
if ( $el_class != '' ) {
	$tmp_class = explode( " ", $el_class );
	if ( in_array( "prettyphoto", $tmp_class ) ) {
		wp_enqueue_script( 'prettyphoto' );
		wp_enqueue_style( 'prettyphoto' );
		$a_class .= ' prettyphoto';
		$el_class = str_ireplace( "prettyphoto", "", $el_class );
	}
}
$stm_button_css = '';
if($stm_cta_button_size != '') {
	$stm_button_css .= 'font-size:'.$stm_cta_button_size.';';
}
if($stm_cta_button_lh != '') {
	$stm_button_css .= 'line-height:'.$stm_cta_button_lh.';';
}
if($stm_cta_btn_border_color != '') {
	$stm_button_css .= 'border-color:'.$stm_cta_btn_border_color.';';
}
if($stm_cta_btn_text_color != '') {
	$stm_button_css .= 'color:'.$stm_cta_btn_text_color.';';
}

if ( $href != '' ) {
	$button = '<span class="wpb_button ' . $color . $size . $icon . '" style="'.$stm_button_css.'"><span class="wpb_button_text">' . $title . $i_icon . '</span></span>';
	$button = '<a class="wpb_button_a' . $a_class . '" href="' . $href . '"' . $target . '>' . $button . '</a>';
} else {
	//$button = '<button class="wpb_button '.$color.$size.$icon.'">'.$title.$i_icon.'</button>';
	$button = '';
	$el_class .= ' cta_no_button';
}
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_call_to_action wpb_content_element vc_clearfix ' . $position . $el_class, $this->settings['base'], $atts );
$css_class .= $this->getCSSAnimation( $css_animation );

if($stm_cta_style != '') {
	$css_class .= $stm_cta_style;
}

$call_text_css = '';
if($stm_cta_text_color != '') {
	$call_text_css .= 'color:'.$stm_cta_text_color.';';
}
if($stm_cta_text_size != '') {
	$call_text_css .= 'font-size:'.$stm_cta_text_size.';';
}

$output .= '<div class="' . $css_class . '">';
$output .= apply_filters( 'wpb_cta_text', '<h2 class="wpb_call_text" style="'.$call_text_css.'">' . $call_text . '</h2>', array( 'content' => $call_text ) );
//$output .= '<h2 class="wpb_call_text">'. $call_text . '</h2>';
$output .= $button;
$output .= '</div> ' . $this->endBlockComment( '.wpb_call_to_action' ) . "\n";

echo balanceTags( $output, true );