<?php get_header('blank'); ?>
<section class="error-404 not-found">
	<div class="error-404_head">
		<img src="<?php echo get_template_directory_uri(); ?>/inc/assets/images/svg/404.svg" alt="404"/>
		<div class="separator">
			<span class="separator-line_holder"><span class="separator-line"></span></span>
			<span class="separator-icon_holder"><img src="<?php echo get_template_directory_uri(); ?>/inc/assets/images/svg/x.svg" alt=""/></span>
			<span class="separator-line_holder"><span class="separator-line"></span></span>
		</div>
		<h3><?php _e( 'We are sorry, the page you requested cannot be found', 'amber' ) ?></h3>
	</div>
	<p><?php _e( 'You may want to check the following links:', 'amber' ) ?></p>
	<div class="button-return">
		<a class="return_link" href="<?php echo esc_url(home_url()); ?>"><?php _e( 'Return to home page', 'amber' ); ?></a>
	</div>
</section>
<div class="error-404-bg"></div>
<?php get_footer('blank'); ?>
