<?php
get_header();
get_template_part('parts/page-header');
global $wp_query;
?>
<div class="container posts-container">
	<div class="container-inner">
		<div class="row">
			<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
				<div class="content">
					<div class="posts-grid">
						<?php if ( have_posts() ) : ?>

							<?php while ( have_posts() ) : the_post(); ?>
								<?php get_template_part( 'loop/loop', 'grid'); ?>
							<?php endwhile; ?>


						<?php else : ?>
							<?php get_template_part( 'content', 'none' ); ?>
						<?php endif; ?>
					</div>
					<?php if( $wp_query->max_num_pages > 1 ): ?>
					<nav class="posts-navigation">
						<?php
						echo paginate_links( array(
							'type'      => 'list',
							'prev_text' => '',
							'next_text' => '',
						) );
						?>
					</nav>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-lg-3 col-md-3 hidden-sm hidden-xs">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>
