<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article">
	<?php if ( has_post_thumbnail() ): ?>
		<div class="entry-thumb">
			<?php the_post_thumbnail('full'); ?>
		</div>
	<?php endif; ?>
	<div class="entry-content">
		<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
		<?php
			$event_date_start = get_post_meta( get_the_ID(), 'event_date_start', true );
			$event_place = get_post_meta( get_the_ID(), 'event_place', true );
			$event_subject = get_post_meta( get_the_ID(), 'event_subject', true );
			$event_category = get_the_terms( get_the_ID(), 'event_categories' );
			$event_status = get_post_meta( get_the_ID(), 'event_status', true );
			$event_members = get_post_meta( get_the_ID(), 'event_members', true );

			if(is_array($event_category) && !empty($event_category)) {
				foreach ($event_category as $key => $value) {
					$event_category_name = $value->name;
				}
			}
		?>
		<ul class="event-details">
			<li><i class="fa fa-clock-o"></i><span><?php if($event_date_start != '') { esc_html_e( $event_date_start, 'amber' ); } ?></span></li>
			<li><i class="fa fa-map-marker"></i><span><?php if($event_place != '') { esc_html_e( $event_place, 'amber' ); } ?></span></li>
		</ul>
		<?php the_excerpt(); ?>
	</div><!-- end entry content -->
	<div class="event-actions">
		<a href="#" class="button_event event-add <?php echo esc_attr($event_status); ?>" event-id="<?php echo get_the_ID(); ?>"><?php _e('I am going', 'amber' ); ?></a>
		<span class="event-members <?php if($event_members){ esc_attr_e( 'is-members' ); } ?>"><?php esc_html_e( $event_members, 'amber' ); ?></span>
		<?php
			if($event_status == 'full_booked') {
				$event_status_text = 'Full booked';
			} else {
				$event_status_text = $event_status;
			}
		?>
		<div class="button_event event-status <?php echo esc_attr($event_status); ?>"><?php esc_html_e( $event_status_text, 'amber' ); ?></div>
	</div>
<!--<i class="fa fa-check"></i>-->
</article><!-- end post -->
