<?php
if (class_exists('WP_Customize_Control'))  {
	class Customizer_Title extends WP_Customize_Control  {
		public function render_content() {
			?>
			<h3 class="customizer-title"><?php echo esc_html( $this->label ); ?></h3>
		<?php
		}
	}

	class Customizer_Section_Title extends WP_Customize_Control  {
		public function render_content() {
			?>
			<h4 class="customizer-section_title"><?php echo esc_html( $this->label ); ?></h4>
		<?php
		}
	}

	class Customizer_Textarea extends WP_Customize_Control  {
		public function render_content() {
			?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<textarea class="large-text" cols="20" rows="5" <?php $this->link(); ?>>
					<?php echo esc_textarea( $this->value() ); ?>
				</textarea>
			</label>
		<?php
		}
	}
}