<?php
$classes = array(
	'view-for-grid',
);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
	<header class="entry-header">
		<?php if(has_post_thumbnail()): ?>
			<div class="entry-thumb"><a href="<?php echo esc_url(get_the_permalink()); ?>" title="<?php echo esc_attr(get_the_title()); ?>"><?php the_post_thumbnail('thumb-840x500'); ?></a></div>
		<?php endif; ?>
		<?php the_title( sprintf( '<h4 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php echo get_the_excerpt(); ?>

		<?php
		wp_link_pages( array(
			'before' => '<div class="page-links">',
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<div class="post-actions">
			<?php amber_entry_footer(); ?>
		</div>
		<div class="line"><div class="line-fill"></div></div>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->