<?php
$classes = array(
	'view-for-list',
);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
	<header class="entry-header">
		<?php if(has_post_thumbnail()): ?>
			<div class="entry-thumb"><?php the_post_thumbnail('thumb-840x500'); ?></div>
		<?php endif; ?>
		<div class="entry-holder has-padd">
			<?php the_title( sprintf( '<h4 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' ); ?>

			<?php if ( 'post' == get_post_type() ) : ?>
			<?php endif; ?>
		</div>
	</header><!-- .entry-header -->
	<div class="entry-holder has-padd">
		<div class="entry-content">
			<?php echo get_the_excerpt(); ?>

			<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'amber' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->
	</div>

	<footer class="entry-footer">
		<div class="entry-holder has-padd">
			<div class="post-actions">
				<?php amber_entry_footer(); ?>
			</div>
		</div>
		<div class="line"><div class="line-fill"></div></div>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->