<?php
    $popup_logo = stm_option( 'popup_logo', false, 'url' );
    $popup_text = stm_option( 'popup_text' );
    $popup_button_text = stm_option( 'popup_button_text' );
    $popup_button_url = stm_option( 'popup_button_url' );
?>
<div class="buy_theme_popup">
    <?php if( !empty( $popup_logo ) ) { ?>
        <img src="<?php echo esc_url( $popup_logo ) ?>" alt=""/>
    <?php } ?>
    <?php if( !empty( $popup_text ) ) { ?>
        <p><?php _e( $popup_text, 'amber' ); ?></p>
    <?php } ?>
    <?php if( !empty( $popup_button_text ) && !empty( $popup_button_url ) ) { ?>
        <a target="_blank" href="<?php echo esc_url( $popup_button_url ); ?>" class="buy_button"><?php _e( $popup_button_text, 'amber' ); ?></a>
    <?php } ?>
</div>
<script type="text/javascript">
    jQuery(document).ready(function ($) {
        var page_height = $('html').height() / 4;
        $(window).scroll(function (event) {
            var scroll = $(window).scrollTop() + $(window).height();
            if( page_height <= scroll && scroll != $(document).height() ){
                $(".buy_theme_popup").addClass('active');
            }
            if(scroll == $(document).height()){
	            $(".buy_theme_popup").removeClass('active');
            }
        });
    });
</script>