<?php
function stm_custom_styles() {

    $top_menu_bg_color = get_theme_mod('top_menu_bg_color') ? get_theme_mod('top_menu_bg_color') : "";
    $top_menu_link_transform = get_theme_mod('top_menu_link_transform') ? get_theme_mod('top_menu_link_transform') : "";
    $top_menu_link_style = get_theme_mod('top_menu_link_style') ? get_theme_mod('top_menu_link_style') : "";
    $top_menu_link_size = get_theme_mod('top_menu_link_size') ? get_theme_mod('top_menu_link_size') : "";
    $top_menu_link_color = get_theme_mod('top_menu_link_color') ? get_theme_mod('top_menu_link_color') : "";
    $top_menu_hover_link_color = get_theme_mod('top_menu_hover_link_color') ? get_theme_mod('top_menu_hover_link_color') : "";

    $top_menu_search_fontsize = get_theme_mod('top_menu_search_fontsize') ? get_theme_mod('top_menu_search_fontsize') : "";
    $top_menu_search_textcolor = get_theme_mod('top_menu_search_textcolor') ? get_theme_mod('top_menu_search_textcolor') : "";
    $top_menu_search_transform = get_theme_mod('top_menu_search_transform') ? get_theme_mod('top_menu_search_transform') : "";
    $top_menu_search_textstyle = get_theme_mod('top_menu_search_textstyle') ? get_theme_mod('top_menu_search_textstyle') : "";
    $top_menu_border_color = get_theme_mod('top_menu_border_color') ? get_theme_mod('top_menu_border_color') : "";
    $top_menu_icon_color = get_theme_mod('top_menu_icon_color') ? get_theme_mod('top_menu_icon_color') : "";
    $top_menu_icon_color = get_theme_mod('top_menu_icon_color') ? get_theme_mod('top_menu_icon_color') : "";

    $main_menu_bg_color = get_theme_mod('main_menu_bg_color') ? get_theme_mod('main_menu_bg_color') : "";
    $main_menu_link_transform = get_theme_mod('main_menu_link_transform') ? get_theme_mod('main_menu_link_transform') : "";
    $main_menu_link_style = get_theme_mod('main_menu_link_style') ? get_theme_mod('main_menu_link_style') : "";
    $main_menu_link_size = get_theme_mod('main_menu_link_size') ? get_theme_mod('main_menu_link_size') : "";
    $main_menu_link_color = get_theme_mod('main_menu_link_color') ? get_theme_mod('main_menu_link_color') : "";
    $main_menu_hover_link_color = get_theme_mod('main_menu_hover_link_color') ? get_theme_mod('main_menu_hover_link_color') : "";

    $dropdown_bg_color = get_theme_mod('dropdown_bg_color') ? get_theme_mod('dropdown_bg_color') : '';
    $dropdown_font_size = get_theme_mod('dropdown_font_size') ? get_theme_mod('dropdown_font_size') : '';
    $dropdown_font_style = get_theme_mod('dropdown_font_style') ? get_theme_mod('dropdown_font_style') : '';
    $dropdown_text_transform = get_theme_mod('dropdown_text_transform') ? get_theme_mod('dropdown_text_transform') : '';
    $dropdown_link_color = get_theme_mod('dropdown_link_color') ? get_theme_mod('dropdown_link_color') : '';
    $dropdown_link_color_hover = get_theme_mod('dropdown_link_color_hover') ? get_theme_mod('dropdown_link_color_hover') : '';

    $mobile_top_menu_bg = get_theme_mod('mobile_top_menu_bg') ? get_theme_mod('mobile_top_menu_bg') : '';
    $mobile_main_menu_bg = get_theme_mod('mobile_main_menu_bg') ? get_theme_mod('mobile_main_menu_bg') : '';
    $mobile_mmenu_text_transform = get_theme_mod('mobile_mmenu_text_transform') ? get_theme_mod('mobile_mmenu_text_transform') : '';
    $mobile_mmenu_link_color = get_theme_mod('mobile_mmenu_link_color') ? get_theme_mod('mobile_mmenu_link_color') : '';
    $mobile_mmenu_font_size = get_theme_mod('mobile_mmenu_font_size') ? get_theme_mod('mobile_mmenu_font_size') : '';
    $mobile_dropdown_font_size = get_theme_mod('mobile_dropdown_font_size') ? get_theme_mod('mobile_dropdown_font_size') : '';
    $mobile_dropdown_link_color = get_theme_mod('mobile_dropdown_link_color') ? get_theme_mod('mobile_dropdown_link_color') : '';
    $mobile_menu_toggle_color = get_theme_mod('mobile_menu_toggle_color') ? get_theme_mod('mobile_menu_toggle_color') : '';
    $mobile_search_toggle_color = get_theme_mod('mobile_search_toggle_color') ? get_theme_mod('mobile_search_toggle_color') : '';
    $mobile_search_close_color = get_theme_mod('mobile_search_close_color') ? get_theme_mod('mobile_search_close_color') : '';
    $mobile_search_icon_color = get_theme_mod('mobile_search_icon_color') ? get_theme_mod('mobile_search_icon_color') : '';
    $mobile_search_text_color = get_theme_mod('mobile_search_text_color') ? get_theme_mod('mobile_search_text_color') : '';
    $mobile_search_text_size = get_theme_mod('mobile_search_text_size') ? get_theme_mod('mobile_search_text_size') : '';
    $mobile_umenu_border_color = get_theme_mod('mobile_umenu_border_color') ? get_theme_mod('mobile_umenu_border_color') : '';
    $mobile_umenu_button_textcolor = get_theme_mod('mobile_umenu_button_textcolor') ? get_theme_mod('mobile_umenu_button_textcolor') : '';
    $mobile_umenu_button_textsize = get_theme_mod('mobile_umenu_button_textsize') ? get_theme_mod('mobile_umenu_button_textsize') : '';
    $mobile_umenu_button_hovercolor = get_theme_mod('mobile_umenu_button_hovercolor') ? get_theme_mod('mobile_umenu_button_hovercolor') : '';
    $mobile_umenu_button_hoverbg = get_theme_mod('mobile_umenu_button_hoverbg') ? get_theme_mod('mobile_umenu_button_hoverbg') : '';

    // Google Fonts
    $font_1 = get_theme_mod('font_1') ? get_theme_mod('font_1') : '';
    $font_2 = get_theme_mod('font_2') ? get_theme_mod('font_2') : '';
    ?>

    <style type="text/css">
        /* Google Fonts */

        <?php if( !empty( $font_2 ) ) { ?>

            /* Default - Roboto Slab - $font_2 */
            body,
            .main-navbar .user-menu a,
            .stm-testimonial p,
            .rental-service-price_table td,
            .single-project-container .entry-content p,
            .wpb_text_column p,
            .wpb_text_column li,
            .entry-content li,
            .btn,
            .posts-navigation .page-numbers,
            .hentry.view-single-post .entry-content p,
            .post-start,
            .recent-events_list h5,
            .widget.widget_rss ul li a,
            body .ubtn,
            .footer_widget-area .widget_recent_entries a,
            .copyright,
            .move-top,
            .lost_password,
            .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,
            .woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span,
            .woocommerce .product_description p,
            .woocommerce div.product .woocommerce-tabs .panel p,
            .woocommerce .widget_recently_viewed_products .product-title {
                font-family: "<?php echo esc_attr( $font_2 ); ?>";
            }
        <?php } ?>

        <?php if( !empty( $font_1 ) ) { ?>

        /* Default - Lora - $font_1 */
        .post-password-form input[type="text"],
        .post-password-form input[type="password"],
        .gallery-item .gallery-caption,
        .navbar a,
        .top-navbar .navbar-form .form-control,
        .search-responsive-collapse .form-control,
        .stm-testimonial .author,
        .stm_item-features .item-features_list li,
        .rental-service_tags .tags-links a,
        .rental-service_item .rs-item_price,
        .stm-contact_text,
        .single-project-container .tags-links a,
        .blog_grid .post-content p,
        .stats-block .stats-text,
        .stm_staff-member .stm_member_job,
        .stm_staff-member .stm_summary_details p,
        .contact-details .full-address p,
        .contact-details .contact-email a,
        .wpcf7-form .wpcf7-textarea,
        .wpcf7-form .wpcf7-text,
        .events-list .event-details li,
        .page-meta_list li,
        .breadcrumb li,
        .page-header p,
        .wpb_text_column.drop-caps p:first-child:first-letter,
        .wpb_text_column.drop-caps_circle p:first-child:first-letter,
        .vc_progress_bar .vc_single_bar .vc_label,
        table tbody > tr > td,
        .table > tbody > tr > td,
        .ult_design_3 .ult_price_body .ult_price .ult_price_figure,
        .ult_design_3 .ult_pricing_table .ult_price_features ul li,
        body .wpb_accordion .wpb_accordion_wrapper .wpb_accordion_header a,
        .event-details_list td,
        .single-event-container .tags-links a,
        .hentry.view-for-grid .entry-content,
        .hentry.view-for-grid .entry-content p,
        .hentry.view-for-list .entry-content,
        .hentry.view-for-list .entry-content p,
        .hentry.view-single-post .tags-links a,
        .related-post_title,
        .comment-metadata,
        .comment-meta .reply,
        .comment-field_wrap input,
        .comment-field_wrap textarea,
        .widget ul li,
        .recent-events_list td,
        .widget_mailchimp .input-group .form-control,
        .widget.widget_tag_cloud .tagcloud a,
        .widget.widget_search .search-field,
        .wpb_text_column.style-italic p,
        .wpb_text_column.style-italic ul li,
        .wpb_text_column.style-italic ol li,
        .widget_follow_us .follow_label,
        .site-footer .widget_recent_entries ul li,
        .woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea,
        .woocommerce form.login .remember-me,
        .woocommerce form .form-row label,
        .woocommerce ul.products li.product .price,
        .woocommerce div.product p.price ins, .woocommerce div.product span.price ins,
        .woocommerce div.product p.price del, .woocommerce div.product span.price,
        .woocommerce-review-link,
        .woocommerce .quantity .qty,
        .product_meta,
        .woocommerce div.product form.cart .variations label,
        .woocommerce #reviews #comments ol.commentlist li .published,
        .woocommerce #reviews #comments ol.commentlist li .description p,
        #review_form .comment-form input,
        #review_form .comment-form textarea,
        .woocommerce table.shop_table th,
        .woocommerce-cart table.cart td.product-subtotal,
        .woocommerce-cart table.cart td.product-price,
        .woocommerce-cart table.cart td.actions .coupon .input-text,
        .woocommerce-cart .cart-collaterals .cart_totals table th,
        .woocommerce-cart .cart-collaterals .cart_totals tr td,
        .woocommerce-shipping-fields label,
        .woocommerce-billing-fields label,
        .payment_methods.methods label,
        .woocommerce-checkout #payment div.payment_box p,
        .woocommerce-checkout-review-order-list,
        .woocommerce .woocommerce-info,
        .woocommerce .woocommerce-message,
        .woocommerce .widget_recently_viewed_products .amount {
            font-family: "<?php echo esc_attr( $font_1 ); ?>";
        }
        <?php } ?>
        <?php if( !empty( $top_menu_bg_color ) ) { ?>
            .top-navbar {
                background: <?php echo esc_attr( $top_menu_bg_color ); ?>;
            }
        <?php } ?>
        <?php if( !empty( $top_menu_link_transform ) || !empty( $top_menu_link_style ) || !empty( $top_menu_link_size ) || !empty( $top_menu_link_color ) ) { ?>
            .top-navbar .user-menu-item a {
                <?php if( !empty( $top_menu_link_transform ) ) { ?>
                    text-transform: <?php echo esc_attr( $top_menu_link_transform ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_link_style ) ) { ?>
                    font-style: <?php echo esc_attr( $top_menu_link_style ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_link_size ) ) { ?>
                    font-size: <?php echo esc_attr( $top_menu_link_size ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_link_color ) ) { ?>
                    color: <?php echo esc_attr( $top_menu_link_color ); ?>;
                <?php } ?>
            }
        <?php } ?>
        <?php if( !empty( $top_menu_hover_link_color ) ) { ?>
            .top-navbar .user-menu-item:hover a {
                color: <?php echo esc_attr( $top_menu_hover_link_color ); ?>;
            }
        <?php } ?>
        <?php if( !empty( $top_menu_search_fontsize ) || !empty( $top_menu_search_textcolor ) || !empty( $top_menu_search_transform ) || !empty( $top_menu_search_textstyle ) || !empty( $top_menu_border_color ) ) { ?>
            .top-navbar .navbar-form .form-control {
                <?php if( !empty( $top_menu_search_fontsize ) ) { ?>
                    font-size: <?php echo esc_attr( $top_menu_search_fontsize ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_search_textcolor ) ) { ?>
                    color: <?php echo esc_attr( $top_menu_search_textcolor ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_search_transform ) ) { ?>
                    text-transform: <?php echo esc_attr( $top_menu_search_transform ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_search_textstyle ) ) { ?>
                    font-style: <?php echo esc_attr( $top_menu_search_textstyle ); ?>;
                <?php } ?>
                <?php if( !empty( $top_menu_border_color ) ) { ?>
                    border-color: <?php echo esc_attr( $top_menu_border_color ); ?>;
                <?php } ?>
            }
        <?php } ?>
        <?php if( !empty( $top_menu_icon_color ) ) { ?>
            .top-navbar .navbar-form .form-control-feedback {
                color: <?php echo esc_attr( $top_menu_icon_color ); ?>;
            }
        <?php } ?>
        <?php if( !empty( $main_menu_bg_color ) ) { ?>
        .main-navbar {
            background-color:<?php echo esc_attr( $main_menu_bg_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $main_menu_link_transform ) || !empty( $main_menu_link_style ) || !empty( $main_menu_link_size ) || !empty( $main_menu_link_color ) ) { ?>
        .main-navbar .navbar-nav > li > a {
        <?php if( !empty( $main_menu_link_transform ) ) { ?>
            text-transform: <?php echo esc_attr( $main_menu_link_transform ); ?>;
        <?php } ?>
        <?php if( !empty( $main_menu_link_style ) ) { ?>
            font-style: <?php echo esc_attr( $main_menu_link_style ); ?>;
        <?php } ?>
        <?php if( !empty( $main_menu_link_size ) ) { ?>
            font-size: <?php echo esc_attr( $main_menu_link_size ); ?>;
        <?php } ?>
        <?php if( !empty( $main_menu_link_color ) ) { ?>
            color: <?php echo esc_attr( $main_menu_link_color ); ?>;
        <?php } ?>
        }
        <?php } ?>
        <?php if( !empty( $main_menu_hover_link_color ) ) { ?>
        .main-navbar .navbar-nav li.current-menu-parent > a,
        .main-navbar li.current-menu-item > a,
        .main-navbar .navbar-nav > li > a:hover,
        .main-navbar .navbar-nav > li > a:focus {
            color: <?php echo esc_attr( $main_menu_hover_link_color ); ?>
        }
        <?php } ?>
        <?php if( !empty( $dropdown_bg_color ) ) { ?>
        .main-navbar .submenu-languages,
        .dropdown-menu {
            background-color: <?php echo esc_attr( $dropdown_bg_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $dropdown_font_style ) || !empty( $dropdown_font_size ) || !empty( $dropdown_text_transform ) ) { ?>
        .dropdown-menu > li {
        <?php if( !empty( $dropdown_font_style ) ) { ?>
            font-style: <?php echo esc_attr( $dropdown_font_style ); ?>;
        <?php } ?>
        <?php if( !empty( $dropdown_font_size ) ) { ?>
            font-size: <?php echo esc_attr( $dropdown_font_size ); ?>;
        <?php } ?>
        <?php if( !empty( $dropdown_text_transform ) ) { ?>
            text-transform: <?php echo esc_attr( $dropdown_text_transform ); ?>;
        <?php } ?>
        }
        <?php } ?>
        <?php if( !empty( $dropdown_link_color ) ) { ?>
        .dropdown-menu > li > a {
            color: <?php echo esc_attr( $dropdown_link_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $dropdown_link_color_hover ) ) { ?>
        .dropdown-menu > li > a:focus,
        .dropdown-menu > li > a:hover {
            color: <?php echo esc_attr( $dropdown_link_color_hover ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_top_menu_bg ) ) { ?>
        .search-responsive-collapse {
            background-color: <?php echo esc_attr( $mobile_top_menu_bg ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_menu_toggle_color ) ) { ?>
        .navbar-default .navbar-toggle .icon-bar {
            background-color: <?php echo esc_attr( $mobile_menu_toggle_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_search_toggle_color ) ) { ?>
        .navbar-toggle.search-toggle {
            color: <?php echo esc_attr( $mobile_search_toggle_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_search_close_color ) ) { ?>
        .navbar-toggle.close-search {
            color: <?php echo esc_attr( $mobile_search_close_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_search_icon_color ) ) { ?>
        .search-responsive-collapse .btn-search {
            color: <?php echo esc_attr( $mobile_search_icon_color ); ?>;
        }
        <?php } ?>
        <?php if( !empty( $mobile_search_text_color ) || !empty( $mobile_search_text_size ) ) { ?>
        .search-responsive-collapse .form-control {
            <?php if( !empty( $mobile_search_text_color ) ) { ?>
            color: <?php echo esc_attr( $mobile_search_text_color ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_search_text_size ) ) { ?>
            font-size: <?php echo esc_attr( $mobile_search_text_size ); ?>;
            <?php } ?>
        }
        <?php } ?>
        <?php if( !empty( $mobile_umenu_border_color ) || !empty( $mobile_umenu_button_textcolor ) || !empty( $mobile_umenu_button_textsize ) ) { ?>
        .main-navbar .user-menu a {
            <?php if( !empty( $mobile_umenu_border_color ) ) { ?>
            border-color: <?php echo esc_attr( $mobile_umenu_border_color ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_umenu_button_textcolor ) ) { ?>
            color: <?php echo esc_attr( $mobile_umenu_button_textcolor ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_umenu_button_textsize ) ) { ?>
            font-size: <?php echo esc_attr( $mobile_umenu_button_textsize ); ?>;
            <?php } ?>
        }
        <?php } ?>
        <?php if( !empty( $mobile_umenu_button_hoverbg ) || !empty( $mobile_umenu_button_hovercolor ) ) { ?>
        .main-navbar .user-menu a:hover {
            <?php if( !empty( $mobile_umenu_button_hoverbg ) ) { ?>
            background-color: <?php echo esc_attr( $mobile_umenu_button_hoverbg ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_umenu_button_hovercolor ) ) { ?>
            color: <?php echo esc_attr( $mobile_umenu_button_hovercolor ); ?>;
            <?php } ?>
        }
        <?php } ?>
        @media (max-width: 991px) {
            <?php if( !empty( $mobile_main_menu_bg ) ) { ?>
            .main-navbar {
                background-color: <?php echo esc_attr( $mobile_main_menu_bg ); ?>;
            }
            <?php } ?>
            <?php if( !empty( $mobile_mmenu_link_color ) || !empty( $mobile_mmenu_font_size ) || !empty( $mobile_mmenu_text_transform ) ) { ?>
            .main-navbar .navbar-nav > li > a {
            <?php if( !empty( $mobile_mmenu_link_color ) ) { ?>
                color: <?php echo esc_attr( $mobile_mmenu_link_color ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_mmenu_font_size ) ) { ?>
                font-size: <?php echo esc_attr( $mobile_mmenu_font_size ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_mmenu_text_transform ) ) { ?>
                text-transform: <?php echo esc_attr( $mobile_mmenu_text_transform ); ?>;
            <?php } ?>
            }
            <?php } ?>
            <?php if( !empty( $mobile_dropdown_link_color ) || !empty( $mobile_dropdown_font_size ) ) { ?>
            .main-navbar .dropdown-menu > li > a {
            <?php if( !empty( $mobile_dropdown_link_color ) ) { ?>
                color: <?php echo esc_attr( $mobile_dropdown_link_color ); ?>;
            <?php } ?>
            <?php if( !empty( $mobile_dropdown_font_size ) ) { ?>
                font-size: <?php echo esc_attr( $mobile_dropdown_font_size ); ?>;
            <?php } ?>
            }
            <?php } ?>
        }
    </style>

<?php
}
add_action( 'wp_head', 'stm_custom_styles');
?>