<?php
/*
	Template Name: Rental Services
*/
get_header(); ?>
<?php get_template_part('parts/page-header'); ?>
<div class="container rental-services-container">
	<div class="container-inner">
		<div class="content">
			<div class="rental-services_filter">
				<div class="rs_filter-inner">
				<a href="#" class="active" data-filter="all"><?php _e( 'All', 'amber' ) ?></a>
				<?php
					$rental_service_categories = get_terms('rental_service_categories');
					foreach($rental_service_categories as $rental_service_category) : ?>
						<a href="#" data-filter="<?php echo esc_attr($rental_service_category->slug); ?>"><?php echo esc_html($rental_service_category->name); ?></a>
				<?php
					endforeach;
				?>
				</div>
			</div>
			<div class="rental-services-grid">
				<?php
					$posts = get_posts( array( 'post_type' => 'rental_service', 'posts_per_page' => -1 ) );
					if( $posts ) {
						foreach ( $posts as $post ) {
							get_template_part('rental-service/content', 'rental_service');
						}
					}
				?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>