<?php
get_header();
// Page ID
$page_ID = get_the_ID();

// Sidebar
$event_sidebar = get_post_meta($page_ID, 'event_sidebar', true);
$sidebar_before = $sidebar_after = $content_before = $content_after = '';

// Right Sidebar
if ( $event_sidebar == 'right' ) {
	// Content before
	$content_before .= '<div class="row">';
	$content_before .= '<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">';

	//Content after
	$content_after .= '</div>';

	// Sidebar after
	$sidebar_before .= '<div class="col-lg-3 col-md-3 hidden-sm hidden-xs">';

	// Sidebar before
	$sidebar_after .= '</div>';
	$sidebar_after .= '</div>';
}

if( $event_sidebar == 'left' ) {
	// Content before
	$content_before .= '<div class="row">';
	$content_before .= '<div class="col-lg-9 col-md-9 col-lg-push-3 col-md-push-3 col-sm-12 col-xs-12">';

	//Content after
	$content_after .= '</div>';

	// Sidebar after
	$sidebar_before .= '<div class="col-lg-3 col-lg-pull-9 col-md-3 col-md-pull-9 hidden-sm hidden-xs">';

	// Sidebar before
	$sidebar_after .= '</div>';
	$sidebar_after .= '</div>';
}

// Page header
if( get_post_meta($page_ID, 'page_title', true) != 'hide' ) {
	get_template_part('parts/page-header');
}
?>
<div class="container single-event-container">
	<div class="container-inner">
		<?php echo $content_before; ?>
				<div class="content" id="main-content">
				<?php
					if( have_posts() ) {
						the_post();
						get_template_part( 'events/event', 'single' );
					}
				?>
				<?php get_template_part( 'parts/related', 'posts' ); ?>

				<?php
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>
				</div>
		<?php echo $content_after; ?>
		<?php echo $sidebar_before; ?>
		<?php if( $event_sidebar == 'left' || $event_sidebar == 'right' ): ?>
				<?php get_sidebar('event'); ?>
		<?php endif; ?>
		<?php echo $sidebar_after; ?>
	</div>
</div>
<?php get_footer(); ?>