<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if ( is_active_sidebar( 'footer' ) ) : ?>
		<div class="container">
			<div class="footer_widget-area">
				<div class="row">
					<?php dynamic_sidebar( 'footer' ); ?>
				</div>
			</div>
		</div>
		<?php endif; ?>
		<div class="container">
			<div class="site-info">
				<?php if( $copyright = get_theme_mod('copyright') ) { ?>
						<p class="copyright"><?php echo balanceTags( $copyright ); ?></p>
				<?php } elseif( $copyright = stm_option('footer_copyright') ) { ?>
					<p class="copyright"><?php echo balanceTags( $copyright ); ?></p>
				<?php } ?>
				<a href="#site-start" class="move-top"><span class="move-top_text"><?php _e( 'Back to top of page', 'amber' ); ?><i class="fa fa-angle-up"></i></span></a>
			</div>
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php
	$popup_display = stm_option('popup_display');
	if( $popup_display ){
		get_template_part( 'parts/buy_theme' );
	}
?>
<?php wp_footer(); ?>
</body>
</html>
